# std::chrono::operator<< (std::chrono::month_weekday)

From cppreference.com
< cpp‎ | chrono‎ | month weekday

template <class CharT, class Traits> std::basic_ostream<CharT, Traits>& operator<<(std::basic_ostream<CharT, Traits>& os, const std::chrono::month_weekday& mwd); |  | (since C++20)

Outputs a textual representation of `mwd` into `os`, as if by os << mwd.month() << '/' << mwd.weekday_indexed();

### Return value

`os`.

### Notes

This `operator<<` is primarily intended for debugging use. When used with non-default stream flags, the output may be surprising:

    using namespace std::chrono;
    auto mwd = February/Sunday[1];
    std::cout.width(10);
    std::cout.fill('-');
    std::cout << std::left << mwd; // may output "Feb-------/Sun[1]"

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/month_weekday/operator_ltlt&oldid=104719"